Bug 469890 - problems pasting large amounts of text into screen
problems pasting large amounts of text into screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Reopened, Triaged
: 519066 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 11:28 EST by Bryn M. Reeves
Modified: 2010-12-05 02:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:06:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of gnome-terminal being unhappy (12.67 KB, image/png)
2008-11-04 11:28 EST, Bryn M. Reeves
no flags Details
screenshot of xterm being unhappy (6.42 KB, image/png)
2008-11-04 11:37 EST, Bryn M. Reeves
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 286063 None None None Never

  None (edit)
Description Bryn M. Reeves 2008-11-04 11:28:48 EST
Created attachment 322445 [details]
screenshot of gnome-terminal being unhappy

Description of problem:
When pasting large amounts of text into vim running inside screen the terminal becomes unresponsive for a long period of time and looks messed up - e.g., in gnome-terminal with the default theme, the background turns blue, borders turn black and text is rendered in inverse colour. The whole thing flickers to black occasionally. Xterm is a little different - black/white/blue stripes scroll by continually.

During this time, Xorg CPU usage climbs sharply. After a while, life gets back to normal - CPU usage drops and the pasted content appears, however, the text is frequently incomplete and may have extra white space inserted.

Version-Release number of selected component (if applicable):
screen-4.0.3-12.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. start screen
2. open a new file in vim (e.g. vim /tmp/foo) and enter insert mode
3. select a large amount of text (a few hundred lines or so)
4. paste (middle click, ctrl-c/ctrl-v, shift-insert) into the editor 

Actual results:
Screen locks up for some time (minutes with gnome-terminal, tens of seconds with xterm), pasted text messed up (incomplete and/or extra whitespace).

Expected results:
Paste appears without delay or munging, just like running vim outside of screen.

Additional info:
Comment 1 Bryn M. Reeves 2008-11-04 11:37:44 EST
Created attachment 322447 [details]
screenshot of xterm being unhappy
Comment 2 Bryn M. Reeves 2008-11-04 11:38:14 EST
Will test this on rawhide next time I have the chance.
Comment 3 François Cami 2009-02-07 08:30:11 EST
Bryn,
Could you test this in (fully patched) Fedora 10 ?
If you can reproduce on F10, could you please add dmesg and Xorg.0.log as uncompressed text attachments to this bug ?
Thank you.
Comment 4 Bryn M. Reeves 2009-02-10 17:17:40 EST
Hi François,

No problem on a fully updated f10 system.

Cheers,
Comment 5 François Cami 2009-02-10 17:31:00 EST
Hi Bryn,
Thank you !
Closing as CURRENT_RELEASE.
Comment 6 Bryn M. Reeves 2009-02-11 13:18:05 EST
CURRENT_RELEASE shouldn't be used for bugs that have appeared in a released product (it's intended for problems discovered in rawhide):

https://bugzilla.redhat.com/page.cgi?id=fields.html#status

"CURRENTRELEASE
    The problem described has been fixed and only ever appeared in unsupported 
    or unreleased products. "

This problem still exists on a fully updated f9 system, re-opening.
Comment 7 Bryn M. Reeves 2009-02-11 13:23:15 EST
The behaviour seems somewhat better with recent f9 updates; the terminal hangs for a shorter period of time but it's still in proportion to the volume of text being pasted. A lot of text will take out the terminal for several minutes.

You mentioned dmesg/Xorg logs in comment #3, do you have some insight into what's up here? I can add these if you think it's helpful, but my earlier testing didn't seem to suggest this was specific to particular graphics controllers etc. (reproduced on Nvidia/Intel).
Comment 8 Bug Zapper 2009-06-09 23:10:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:12:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Miroslav Lichvar 2009-09-01 07:33:15 EDT
*** Bug 519066 has been marked as a duplicate of this bug. ***
Comment 11 Toshio Kuratomi 2009-09-01 13:05:48 EDT
Another report with more detailed symptoms:

http://lists.gnu.org/archive/html/screen-users/2008-05/msg00038.html
Comment 12 Bug Zapper 2009-11-16 04:35:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-11-04 07:42:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bryn M. Reeves 2010-11-04 08:50:21 EDT
Closing this as does not affect newer releases (I still get some flickering but it is nothing like as disruptive as on f9).
Comment 15 Toshio Ernie Kuratomi 2010-11-04 15:47:54 EDT
Still happens here on F13.  I copied and pasted this:

http://www.gamefaqs.com/gba/560436-final-fantasy-tactics-advance/faqs/21713

Took less than a minute to paste that into vim in an xterm outside of screen.  Inside of screen, it's been pasting for about four hours and still going.
Comment 16 Bug Zapper 2010-12-05 02:06:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.